Catalog Config
Data Classification configuration for a Unity Catalog catalog. This message follows the "At Most One Resource" pattern: at most one CatalogConfig exists per catalog.
- Full CRUD operations are supported: Create enables Data Classification, Delete disables it
- It has no unique identifier of its own and uses its parent catalog's identifier (catalog_name)
CatalogConfig object
Data Classification configuration for a Unity Catalog catalog. This message follows the "At Most One Resource" pattern: at most one CatalogConfig exists per catalog.
- Full CRUD operations are supported: Create enables Data Classification, Delete disables it
- It has no unique identifier of its own and uses its parent catalog's identifier (catalog_name)
- namestring
Resource name in the format: catalogs/{catalog_name}/config.
- included_schemasobject
Schemas to include in the scan, each named relative to the parent catalog. If specified, only listed schemas will be scanned. Mutually exclusive with
excluded_schemas: only one may be set per request. If neitherincluded_schemasnorexcluded_schemasis set, all schemas are scanned.Show child attributesHide child attributes
- namesarray of string
Schema names, each relative to the parent catalog. Must not be empty.
- excluded_schemasobject
Schemas to exclude from the scan, each named relative to the parent catalog. If specified, all schemas except the specified ones will be scanned. Mutually exclusive with
included_schemas: only one may be set per request. If neitherincluded_schemasnorexcluded_schemasis set, all schemas are scanned.Show child attributesHide child attributes
- namesarray of string
Schema names, each relative to the parent catalog. Must not be empty.
- auto_tag_configsarray of object
List of auto-tagging configurations for this catalog. Empty list means no auto-tagging is enabled.
Show child attributesHide child attributes
- classification_tagstring
The Classification Tag. For built-in classes this is a system tag (e.g., "class.name", "class.location"); for custom classes it is a user-defined governance tag key.
- auto_tagging_modestring
Whether auto-tagging is enabled or disabled for this classification tag.
Get
GET
Get the Data Classification configuration for a catalog.
API scopes: dataclassification
Parameters
- namestringpath
Resource name in the format: catalogs/{catalog_name}/config
Response
Returns the CatalogConfig object.
Create
POST
Create Data Classification configuration for a catalog.
Creates a new config resource, which enables Data Classification for the specified catalog.
- The config must not already exist for the catalog.
API scopes: dataclassification
Parameters
- parentstringpath
Parent resource in the format: catalogs/{catalog_name}
Request body
- catalog_configobject
The configuration to create.
Show child attributesHide child attributes
- namestring
Resource name in the format: catalogs/{catalog_name}/config.
- included_schemasobjectRequired
Schemas to include in the scan, each named relative to the parent catalog. If specified, only listed schemas will be scanned. Mutually exclusive with
excluded_schemas: only one may be set per request. If neitherincluded_schemasnorexcluded_schemasis set, all schemas are scanned.Show child attributesHide child attributes
- namesarray of string
Schema names, each relative to the parent catalog. Must not be empty.
- excluded_schemasobjectRequired
Schemas to exclude from the scan, each named relative to the parent catalog. If specified, all schemas except the specified ones will be scanned. Mutually exclusive with
included_schemas: only one may be set per request. If neitherincluded_schemasnorexcluded_schemasis set, all schemas are scanned.Show child attributesHide child attributes
- namesarray of string
Schema names, each relative to the parent catalog. Must not be empty.
- auto_tag_configsarray of object
List of auto-tagging configurations for this catalog. Empty list means no auto-tagging is enabled.
Show child attributesHide child attributes
- classification_tagstring
The Classification Tag. For built-in classes this is a system tag (e.g., "class.name", "class.location"); for custom classes it is a user-defined governance tag key.
- auto_tagging_modestring
Whether auto-tagging is enabled or disabled for this classification tag.
Response
Returns the CatalogConfig object.
Update
PATCH
Update the Data Classification configuration for a catalog.
- The config must already exist for the catalog.
- Updates fields specified in the update_mask. Use update_mask field to perform partial updates of the configuration.
API scopes: dataclassification
Parameters
- catalog_configobjectpath
The configuration to apply to the catalog. The name field in catalog_config identifies which resource to update.
Show child attributesHide child attributes
- namestring
Resource name in the format: catalogs/{catalog_name}/config.
- included_schemasobjectRequired
Schemas to include in the scan, each named relative to the parent catalog. If specified, only listed schemas will be scanned. Mutually exclusive with
excluded_schemas: only one may be set per request. If neitherincluded_schemasnorexcluded_schemasis set, all schemas are scanned.Show child attributesHide child attributes
- namesarray of string
Schema names, each relative to the parent catalog. Must not be empty.
- excluded_schemasobjectRequired
Schemas to exclude from the scan, each named relative to the parent catalog. If specified, all schemas except the specified ones will be scanned. Mutually exclusive with
included_schemas: only one may be set per request. If neitherincluded_schemasnorexcluded_schemasis set, all schemas are scanned.Show child attributesHide child attributes
- namesarray of string
Schema names, each relative to the parent catalog. Must not be empty.
- auto_tag_configsarray of object
List of auto-tagging configurations for this catalog. Empty list means no auto-tagging is enabled.
Show child attributesHide child attributes
- classification_tagstring
The Classification Tag. For built-in classes this is a system tag (e.g., "class.name", "class.location"); for custom classes it is a user-defined governance tag key.
- auto_tagging_modestring
Whether auto-tagging is enabled or disabled for this classification tag.
- update_maskstringquery
Field mask specifying which fields to update.
Response
Returns the CatalogConfig object.
Delete
DELETE
Delete Data Classification configuration for a catalog.
API scopes: dataclassification
Parameters
- namestringpath
Resource name in the format: catalogs/{catalog_name}/config